#include "ajouterrayon.h"
#include "ui_ajouterrayon.h"
#include "rayon.h"
#include <QMessageBox>
#include <QSystemTrayIcon>
#include"gestionrayon.h"
#include "smtp.h"

ajouterrayon::ajouterrayon(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::ajouterrayon)
{
    ui->setupUi(this);
}

ajouterrayon::~ajouterrayon()
{
    delete ui;
}



void ajouterrayon::on_horizontalSlider_H_valueChanged(int humidite)
{
    ui->progressBar->setValue(humidite);
}

void ajouterrayon::on_horizontalSlider_L_valueChanged(int luminositee)
{
    ui->progressBar_2->setValue(luminositee);
}

void ajouterrayon::on_horizontalSlider_T_valueChanged(int temperature)
{
    ui->progressBar_3->setValue(temperature);
}



void ajouterrayon::on_pushButton_clicked()
{
    int id = ui->lineEdit->text().toInt();
    int etat= ui->lineEdit_2->text().toInt();
    int humidite = ui->progressBar->value();
    int luminosite = ui->progressBar_2->value();
    int temperature = ui->progressBar_3->value();
  rayon e(id,etat,humidite,luminosite,temperature);
  bool test=e.ajouter();
  if(test)
{
      Smtp* s = new Smtp( "hajmoussa2368@gmail.com", "Hm123456", "smtp.gmail.com", 465 );
      s->sendMail("hajmoussa2368@gmail.com","kais.kasmi@esprit.tn","un rayon a été ajouter avec succés","Mr Kais");
      notifier = new QSystemTrayIcon(this);
      notifier->setIcon(QIcon("notification.png"));
      notifier->show();
      notifier->showMessage("Succés","un rayon a été ajouter avec succés",QSystemTrayIcon::Warning,10000);
      hide();

}
  else
  {
      notifier = new QSystemTrayIcon(this);
      notifier->setIcon(QIcon("notification.png"));
      notifier->show();
      notifier->showMessage("Echec !","Le rayon n'a pas pu etre ajouter",QSystemTrayIcon::Warning,10000);
  }
}




